package com.ruoyi.model.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.model.mapper.ExamineConfigMapper;
import com.ruoyi.model.domain.ExamineConfig;
import com.ruoyi.model.service.IExamineConfigService;

/**
 * 考核认证配置Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
@Service
public class ExamineConfigServiceImpl implements IExamineConfigService 
{
    @Autowired
    private ExamineConfigMapper examineConfigMapper;

    /**
     * 查询考核认证配置
     * 
     * @param id 考核认证配置主键
     * @return 考核认证配置
     */
    @Override
    public ExamineConfig selectExamineConfigById(Long id)
    {
        return examineConfigMapper.selectExamineConfigById(id);
    }

    /**
     * 查询考核认证配置列表
     * 
     * @param examineConfig 考核认证配置
     * @return 考核认证配置
     */
    @Override
    public List<ExamineConfig> selectExamineConfigList(ExamineConfig examineConfig)
    {
        return examineConfigMapper.selectExamineConfigList(examineConfig);
    }

    /**
     * 新增考核认证配置
     * 
     * @param examineConfig 考核认证配置
     * @return 结果
     */
    @Override
    public int insertExamineConfig(ExamineConfig examineConfig)
    {
        return examineConfigMapper.insertExamineConfig(examineConfig);
    }

    /**
     * 修改考核认证配置
     * 
     * @param examineConfig 考核认证配置
     * @return 结果
     */
    @Override
    public int updateExamineConfig(ExamineConfig examineConfig)
    {
        return examineConfigMapper.updateExamineConfig(examineConfig);
    }

    /**
     * 批量删除考核认证配置
     * 
     * @param ids 需要删除的考核认证配置主键
     * @return 结果
     */
    @Override
    public int deleteExamineConfigByIds(Long[] ids)
    {
        return examineConfigMapper.deleteExamineConfigByIds(ids);
    }

    /**
     * 删除考核认证配置信息
     * 
     * @param id 考核认证配置主键
     * @return 结果
     */
    @Override
    public int deleteExamineConfigById(Long id)
    {
        return examineConfigMapper.deleteExamineConfigById(id);
    }

    @Override
    public List<ExamineConfig> getExamineConfigList() {
        return examineConfigMapper.getExamineConfigList();
    }
}
